Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006368OCamlback end (clambda to assembly)public2014-04-12 08:422016-12-07 14:08
Reportergasche 
Assigned Toshinwell 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.02.0+dev 
Target VersionFixed in Version4.02.0 
Summary0006368: [github patch] add an option to generate empty .cmx files to avoid recompilation of dependencies
Descriptionhttps://github.com/ocaml/ocaml/pull/30 [^]

The intent of this option is to enable semi-separate native compilation. Currently, when a module changes, all the modules that depend on it need to be recompiled. Activating -nocmx disables cross-module optimization, but should let us change a module without having to recompile all the others (although to be honest this still have to be verified).

This would be of practical value for development cycles of project that have (compile;test) loops: currently compilation is much slower in native code than in bytecode, but tests can be sensibly faster in native code. -nocmx could bring the best of both worlds, with fast compiles and rather-fast tests.
Tagsgithub, patch
Attached Files

- Relationships

-  Notes
(0016704)
shinwell (developer)
2016-12-07 14:07

This has been merged

- Issue History
Date Modified Username Field Change
2014-04-12 08:42 gasche New Issue
2014-04-12 08:42 gasche Tag Attached: github
2014-04-12 08:42 gasche Tag Attached: patch
2014-07-16 16:03 doligez Status new => acknowledged
2016-12-07 14:07 shinwell Note Added: 0016704
2016-12-07 14:08 shinwell Status acknowledged => resolved
2016-12-07 14:08 shinwell Fixed in Version => 4.02.0
2016-12-07 14:08 shinwell Resolution open => fixed
2016-12-07 14:08 shinwell Assigned To => shinwell
2017-02-23 16:35 doligez Category OCaml backend (code generation) => Back end (clambda to assembly)
2017-02-23 16:44 doligez Category Back end (clambda to assembly) => back end (clambda to assembly)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker